Package com.orbbec.obsensor

## Class OBException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.orbbec.obsensor.OBException

All Implemented Interfaces:
  `java.io.Serializable`

    public class OBException
    extends java.lang.RuntimeException

Exception thrown by Orbbec sdk

See Also:
  Serialized Form

### Constructor Summary

Constructors
`OBException()` Create Orbbec SDK exception
`OBException​(java.lang.String message)` Create Orbbec SDK exception with specific information

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OBException

    public OBException()

Create Orbbec SDK exception

#### OBException

    public OBException​(java.lang.String message)

Create Orbbec SDK exception with specific information

Parameters:
  `message` - details